List all porting phone numbers
Returns a list of your porting phone numbers.
GET
/
porting_phone_numbers
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const portingPhoneNumberListResponse of client.portingPhoneNumbers.list()) {
console.log(portingPhoneNumberListResponse.porting_order_id);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.porting_phone_numbers.list()
page = page.data[0]
print(page.porting_order_id)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.PortingPhoneNumbers.List(context.TODO(), telnyx.PortingPhoneNumberListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.portingphonenumbers.PortingPhoneNumberListPage;
import com.telnyx.sdk.models.portingphonenumbers.PortingPhoneNumberListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
PortingPhoneNumberListPage page = client.portingPhoneNumbers().list();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.porting_phone_numbers.list
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->portingPhoneNumbers->list(
filter: ['portingOrderStatus' => 'in-process'], pageNumber: 0, pageSize: 0
);
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx porting-phone-numbers list \
--api-key 'My API Key'curl --request GET \
--url https://api.telnyx.com/v2/porting_phone_numbers \
--header 'Authorization: Bearer <token>'{
"data": [
{
"porting_order_status": "in-process",
"phone_number_type": "local",
"phone_number": "13035550987",
"porting_order_id": "f1486bae-f067-460c-ad43-73a92848f902",
"support_key": "sr_a12345",
"activation_status": "Active",
"portability_status": "confirmed",
"requirements_status": "approved",
"record_type": "porting_phone_number"
}
],
"meta": {
"total_pages": 3,
"total_results": 55,
"page_number": 2,
"page_size": 25
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Consolidated page parameter (deepObject style). Originally: page[size], page[number]
Show child attributes
Show child attributes
Consolidated filter parameter (deepObject style). Originally: filter[porting_order_status]
Show child attributes
Show child attributes
Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const portingPhoneNumberListResponse of client.portingPhoneNumbers.list()) {
console.log(portingPhoneNumberListResponse.porting_order_id);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.porting_phone_numbers.list()
page = page.data[0]
print(page.porting_order_id)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.PortingPhoneNumbers.List(context.TODO(), telnyx.PortingPhoneNumberListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.portingphonenumbers.PortingPhoneNumberListPage;
import com.telnyx.sdk.models.portingphonenumbers.PortingPhoneNumberListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
PortingPhoneNumberListPage page = client.portingPhoneNumbers().list();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.porting_phone_numbers.list
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->portingPhoneNumbers->list(
filter: ['portingOrderStatus' => 'in-process'], pageNumber: 0, pageSize: 0
);
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx porting-phone-numbers list \
--api-key 'My API Key'curl --request GET \
--url https://api.telnyx.com/v2/porting_phone_numbers \
--header 'Authorization: Bearer <token>'{
"data": [
{
"porting_order_status": "in-process",
"phone_number_type": "local",
"phone_number": "13035550987",
"porting_order_id": "f1486bae-f067-460c-ad43-73a92848f902",
"support_key": "sr_a12345",
"activation_status": "Active",
"portability_status": "confirmed",
"requirements_status": "approved",
"record_type": "porting_phone_number"
}
],
"meta": {
"total_pages": 3,
"total_results": 55,
"page_number": 2,
"page_size": 25
}
}